# Class Thelia\Core\TheliaHttpKernel | thelia

# Class TheliaHttpKernel

  Symfony\Component\HttpKernel\HttpKernel
  Thelia\Core\TheliaHttpKernel

Namespace: Thelia\Core
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Core/TheliaHttpKernel.php

Methods summary
`public` | # `__construct( Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher, Symfony\Component\DependencyInjection\ContainerInterface $container, Symfony\Component\HttpKernel\Controller\ControllerResolverInterface $controllerResolver )`

`public Response`

# `handle( Symfony\Component\HttpFoundation\Request $request, integer $type = Thelia\Core\HttpKernelInterface::MASTER_REQUEST, Boolean $catch = true )`

Handles a Request to convert it to a Response.

Handles a Request to convert it to a Response.

When $catch is true, the implementation must catch all exceptions and do its best to convert them to a Response instance.

#### Parameters

$request
  `Symfony\Component\HttpFoundation\Request`
  $request A Request instance
$type
  `integer`
  $type The type of the request (one of HttpKernelInterface::MASTER_REQUEST or HttpKernelInterface::SUB_REQUEST)
$catch
  `Boolean`
  $catch Whether to catch exceptions or not

#### Returns

`Response`
A Response instance

#### Throws

``Exception``
When an Exception occurs during processing

#### Api

`protected` | # `initSession( Symfony\Component\HttpFoundation\Request $request )`